Package javax.servlet.annotation

## Annotation Type WebInitParam

-     @Target(TYPE)
      @Retention(RUNTIME)
      @Documented
      public @interface WebInitParam

  The annotation used to declare an initialization parameter on a `Servlet` or `Filter`, within a `WebFilter` or `WebServlet` annotation.
  E.g. `&#064;WebServlet(name="TestServlet", urlPatterns={"/test"},initParams={&#064;WebInitParam(name="test", value="true")}) public class TestServlet extends HttpServlet { ...`
  Since:
    Servlet 3.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `java.lang.String` | `name` |
    `java.lang.String` | `value` |

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `description` |

- - ### Element Detail

    - #### name

          java.lang.String name

      Returns:
        name of the initialization parameter

  - - #### value

          java.lang.String value

      Returns:
        value of the initialization parameter

  - - #### description

          java.lang.String description

      Returns:
        description of the initialization parameter
      Default:
        ""